polybori::CGenericOrderedIter< OrderType, NavigatorType, BooleExponent > Class Template Reference

`#include <COrderedIter.h>`

Inheritance diagram for polybori::CGenericOrderedIter< OrderType, NavigatorType, BooleExponent >:

## Public Types

typedef CAbstractStackBase < NavigatorType > | stack_base
typedef CStackSelector < OrderType, NavigatorType, stack_base >::type | ordered_iter_base
typedef CWrappedStack < ordered_iter_base > | ordered_iter_type
typedef COrderedIter < NavigatorType, BooleExponent > | base
typedef base::iterator_core | iterator_core
typedef base::core_pointer | core_pointer
typedef base::term_generator | term_generator
Public Types inherited from polybori::COrderedIter< NavigatorType, BooleExponent >
typedef COrderedIter < NavigatorType, BooleExponent > | self
typedef CAbstractStackBase < NavigatorType > | stack_base
typedef CTermStackBase < NavigatorType, stack_base > | iterator_core
typedef CTermGenerator < BooleExponent > | term_generator
| Type for functional, which generates actual term, for current path. More...
typedef iterator_core::const_iterator | const_iterator
typedef iterator_core::const_reverse_iterator | const_reverse_iterator
typedef iterator_core::size_type | size_type
typedef iterator_core::deg_type | deg_type
typedef iterator_core::idx_type | idx_type
typedef NavigatorType | navigator
| Fix type of direct iterator. More...
typedef boost::shared_ptr < iterator_core > | core_pointer
typedef bool | bool_type
| Extract plain Boolean type. More...

## Public Member Functions

template<class MgrType >
| CGenericOrderedIter (NavigatorType navi, const MgrType &mgr)
| CGenericOrderedIter (const CGenericOrderedIter &rhs)
Public Member Functions inherited from polybori::COrderedIter< NavigatorType, BooleExponent >
| COrderedIter (core_pointer rhs, const term_generator &getTerm)
| ~COrderedIter ()
bool | equal (const self &rhs) const
void | increment ()
| Incrementation. More...
bool_type | isOne () const
| Determine whether term is one (without explicit constructing) More...
bool_type | isZero () const
| Determine whether term is zero (without explicit constructing) More...
bool_type | isEnd () const
| Check, whether end of iteration is reached. More...
BooleExponent | dereference () const
| Dereferencing operation. More...
const_iterator | begin () const
const_iterator | end () const
const_reverse_iterator | rbegin () const
const_reverse_iterator | rend () const
deg_type | deg () const
idx_type | firstIndex () const
navigator | navigation () const
| Get navigator of term start. More...

## Additional Inherited Members

Protected Attributes inherited from polybori::COrderedIter< NavigatorType, BooleExponent >
term_generator | m_getTerm
| The functional which defines the dereferecing operation. More...
core_pointer | p_iter
| A shared pointer to the stack, which carries the current path. More...

## Member Typedef Documentation

template<class OrderType , class NavigatorType >

typedef COrderedIter<NavigatorType, BooleExponent> polybori::CGenericOrderedIter< OrderType, NavigatorType, BooleExponent >::base

template<class OrderType , class NavigatorType >

typedef base::core_pointer polybori::CGenericOrderedIter< OrderType, NavigatorType, BooleExponent >::core_pointer

template<class OrderType , class NavigatorType >

typedef base::iterator_core polybori::CGenericOrderedIter< OrderType, NavigatorType, BooleExponent >::iterator_core

template<class OrderType , class NavigatorType >

typedef CStackSelector<OrderType, NavigatorType, stack_base>::type polybori::CGenericOrderedIter< OrderType, NavigatorType, BooleExponent >::ordered_iter_base

template<class OrderType , class NavigatorType >

typedef CWrappedStack<ordered_iter_base> polybori::CGenericOrderedIter< OrderType, NavigatorType, BooleExponent >::ordered_iter_type

template<class OrderType , class NavigatorType >

typedef CAbstractStackBase<NavigatorType> polybori::CGenericOrderedIter< OrderType, NavigatorType, BooleExponent >::stack_base

template<class OrderType , class NavigatorType >

typedef base::term_generator polybori::CGenericOrderedIter< OrderType, NavigatorType, BooleExponent >::term_generator

## Constructor & Destructor Documentation

template<class OrderType , class NavigatorType >
template<class MgrType >

polybori::CGenericOrderedIter< OrderType, NavigatorType, BooleExponent >::CGenericOrderedIter | ( | NavigatorType | navi,
|  | const MgrType & | mgr
| ) |  |

inline

template<class OrderType , class NavigatorType >

polybori::CGenericOrderedIter< OrderType, NavigatorType, BooleExponent >::CGenericOrderedIter | ( | const CGenericOrderedIter< OrderType, NavigatorType, BooleExponent > & | rhs) |  |

inline

The documentation for this class was generated from the following file:

- COrderedIter.h